package request


type AlibabaWdkMerchantStoreitemCreateRequest struct {
    /*
        门店id     */
    StoreId  *string `json:"store_id" required:"true" `
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code" required:"true" `
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code" required:"true" `
    /*
        新增门店商品参数，具体字段详见文档     */
    Params  *string `json:"params" required:"true" `
}

func (s *AlibabaWdkMerchantStoreitemCreateRequest) SetStoreId(v string) *AlibabaWdkMerchantStoreitemCreateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemCreateRequest) SetSkuCode(v string) *AlibabaWdkMerchantStoreitemCreateRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemCreateRequest) SetMerchantCode(v string) *AlibabaWdkMerchantStoreitemCreateRequest {
    s.MerchantCode = &v
    return s
}
func (s *AlibabaWdkMerchantStoreitemCreateRequest) SetParams(v string) *AlibabaWdkMerchantStoreitemCreateRequest {
    s.Params = &v
    return s
}

func (req *AlibabaWdkMerchantStoreitemCreateRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.StoreId != nil) {
        paramMap["store_id"] = *req.StoreId
    }
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.MerchantCode != nil) {
        paramMap["merchant_code"] = *req.MerchantCode
    }
    if(req.Params != nil) {
        paramMap["params"] = *req.Params
    }
    return paramMap
}

func (req *AlibabaWdkMerchantStoreitemCreateRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}